<?php
/**
 * iF.SVNAdmin
 * Copyright (c) 2010 by Manuel Freiholz
 * http://www.insanefactory.com/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.
 */
include("include/config.inc.php");

// Is the authentication module active?
if( !$appEngine->isAuthenticationActive() )
{
  header('Location: index.php');
}

// If the user is already logged in, we should redirect him to the index page.
if( $appEngine->checkUserAuthentication(false) )
{
  header('Location: index.php');
}

$appTR->loadModule("login");

$login = check_request_var('login');
if( $login )
{
  $appEngine->handleAction('login_authentication');
}

$appTemplate->loadFromFile( new \IF_File("templates/login.html") );
$appTemplate->processTemplate();
?>